Trading Hours
curl --request GET \
--url https://api.tradewatch.io/stocks/markets/hours \
--header 'api-key: <api-key>'import requests
url = "https://api.tradewatch.io/stocks/markets/hours"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.tradewatch.io/stocks/markets/hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tradewatch.io/stocks/markets/hours",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tradewatch.io/stocks/markets/hours"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tradewatch.io/stocks/markets/hours")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tradewatch.io/stocks/markets/hours")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"mic": "XSTO",
"date": "2024-04-30",
"day_of_week": "Tuesday",
"is_early_close": true,
"open_time": "2024-04-30T09:00:00+02:00",
"close_time": "2024-04-30T13:00:00+02:00",
"holiday_name": "Day Before Labour Day"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Markets
Trading Hours
Get trading hours. It takes half-days into account.
GET
/
stocks
/
markets
/
hours
Trading Hours
curl --request GET \
--url https://api.tradewatch.io/stocks/markets/hours \
--header 'api-key: <api-key>'import requests
url = "https://api.tradewatch.io/stocks/markets/hours"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.tradewatch.io/stocks/markets/hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tradewatch.io/stocks/markets/hours",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tradewatch.io/stocks/markets/hours"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tradewatch.io/stocks/markets/hours")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tradewatch.io/stocks/markets/hours")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"mic": "XSTO",
"date": "2024-04-30",
"day_of_week": "Tuesday",
"is_early_close": true,
"open_time": "2024-04-30T09:00:00+02:00",
"close_time": "2024-04-30T13:00:00+02:00",
"holiday_name": "Day Before Labour Day"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Authentication via API key header
Query Parameters
Optional list of comma separated MIC codes for which market to show data for. All market will be included if MIC code is not specified.
Show holidays starting at this date.
Show holidays until this date.
Response
Successful Response
Market Identifier Code (ISO 10383)
Example:
"XSTO"
Date of the trading session (YYYY-MM-DD)
Example:
"2024-04-30"
Day of the week
Example:
"Tuesday"
Whether the market closes early on this day
Example:
true
Opening time for the day
Example:
"2024-04-30T09:00:00+02:00"
Closing time for the day
Example:
"2024-04-30T13:00:00+02:00"
Name of the holiday if applicable
Example:
"Day Before Labour Day"
